diff -urN fltk-1.3.x-r7709/FL/Fl_Menu_Item.H fltk-1.3.x-r7709_mod/FL/Fl_Menu_Item.H
--- fltk-1.3.x-r7709/FL/Fl_Menu_Item.H	2010-04-16 21:55:45.000000000 +0400
+++ fltk-1.3.x-r7709_mod/FL/Fl_Menu_Item.H	2010-10-04 12:00:53.000000000 +0400
@@ -223,7 +223,7 @@
   void callback(Fl_Callback0*c) {callback_=(Fl_Callback*)c;}
 
   /** See Fl_Callback_p Fl_MenuItem::callback() const */
-  void callback(Fl_Callback1*c, long p=0) {callback_=(Fl_Callback*)c; user_data_=(void*)p;}
+  void callback(Fl_Callback1*c, fl_long p=0) {callback_=(Fl_Callback*)c; user_data_=(void*)p;}
 
   /**
     Get or set the user_data argument that is sent to the
@@ -241,14 +241,14 @@
     and casting the long to a void* and may not be
     portable to some machines.
   */
-  long argument() const {return (long)user_data_;}
+  fl_long argument() const {return (fl_long)user_data_;}
   /**
     For convenience you can also define the callback as taking a long
     argument.  This is implemented by casting this to a Fl_Callback
     and casting the long to a void* and may not be
     portable to some machines.
   */
-  void argument(long v) {user_data_ = (void*)v;}
+  void argument(fl_long v) {user_data_ = (void*)v;}
 
   /** Gets what key combination shortcut will trigger the menu item. */
   int shortcut() const {return shortcut_;}
diff -urN fltk-1.3.x-r7709/FL/Fl_Widget.H fltk-1.3.x-r7709_mod/FL/Fl_Widget.H
--- fltk-1.3.x-r7709/FL/Fl_Widget.H	2010-07-01 19:01:49.000000000 +0400
+++ fltk-1.3.x-r7709_mod/FL/Fl_Widget.H	2010-10-04 11:59:09.000000000 +0400
@@ -38,6 +38,13 @@
 class Fl_Group;
 class Fl_Image;
 
+#ifdef _WIN64
+#include <stdint.h>
+typedef intptr_t fl_long;
+#else
+typedef long fl_long;
+#endif
+
 /** Default callback type definition for all fltk widgets (by far the most used) */
 typedef void (Fl_Callback )(Fl_Widget*, void*);
 /** Default callback type pointer definition for all fltk widgets */
@@ -45,7 +52,7 @@
 /** One parameter callback type definition passing only the widget */
 typedef void (Fl_Callback0)(Fl_Widget*);
 /** Callback type definition passing the widget and a long data value */
-typedef void (Fl_Callback1)(Fl_Widget*, long);
+typedef void (Fl_Callback1)(Fl_Widget*, fl_long);
 
 /** This struct stores all information for a text or mixed graphics label.
 
@@ -580,7 +587,7 @@
       \param[in] cb new callback
       \param[in] p user data
    */
-  void callback(Fl_Callback1*cb, long p=0) {callback_=(Fl_Callback*)cb; user_data_=(void*)p;}
+  void callback(Fl_Callback1*cb, fl_long p=0) {callback_=(Fl_Callback*)cb; user_data_=(void*)p;}
 
   /** Gets the user data for this widget.
       Gets the current user data (void *) argument that is passed to the callback function.
@@ -596,13 +603,13 @@
 
   /** Gets the current user data (long) argument that is passed to the callback function.
    */
-  long argument() const {return (long)user_data_;}
+  fl_long argument() const {return (fl_long)user_data_;}
 
   /** Sets the current user data (long) argument that is passed to the callback function.
       \todo The user data value must be implemented using a \em union to avoid 
       64 bit machine incompatibilities.
    */
-  void argument(long v) {user_data_ = (void*)v;}
+  void argument(fl_long v) {user_data_ = (void*)v;}
 
   /** Returns the conditions under which the callback is called.
 
diff -urN fltk-1.3.x-r7709/FL/forms.H fltk-1.3.x-r7709_mod/FL/forms.H
--- fltk-1.3.x-r7709/FL/forms.H	2010-02-21 00:14:47.000000000 +0300
+++ fltk-1.3.x-r7709_mod/FL/forms.H	2010-10-04 12:13:38.000000000 +0400
@@ -227,8 +227,8 @@
 inline void fl_get_object_position(Fl_Widget* o,int*x,int*y) {
   *x = o->x(); *y = o->y();}
 
-typedef void (*Forms_CB)(Fl_Widget*, long);
-inline void fl_set_object_callback(Fl_Widget*o,Forms_CB c,long a) {o->callback(c,a);}
+typedef void (*Forms_CB)(Fl_Widget*, fl_long);
+inline void fl_set_object_callback(Fl_Widget*o,Forms_CB c,fl_long a) {o->callback(c,a);}
 #define fl_set_call_back      fl_set_object_callback
 inline void fl_call_object_callback(Fl_Widget* o) {o->do_callback();}
 inline void fl_trigger_object(Fl_Widget* o) {o->do_callback();}
diff -urN fltk-1.3.x-r7709/fluid/fluid.cxx fltk-1.3.x-r7709_mod/fluid/fluid.cxx
--- fltk-1.3.x-r7709/fluid/fluid.cxx	2010-04-12 09:18:38.000000000 +0400
+++ fltk-1.3.x-r7709_mod/fluid/fluid.cxx	2010-10-04 12:17:17.000000000 +0400
@@ -1977,7 +1977,7 @@
     // don't need theses handles inherited by child process:
     clean_close(pin[0]); clean_close(pout[1]); clean_close(perr[1]);
     HANDLE & h = *mode == 'r' ? pout[0] : pin[1];
-    _fpt = _fdopen(_open_osfhandle((long) h,_O_BINARY),mode);
+    _fpt = _fdopen(_open_osfhandle((fl_long) h,_O_BINARY),mode);
     h= INVALID_HANDLE_VALUE;  // reset the handle pointer that is shared
     // with _fpt so we don't free it twice
   }
diff -urN fltk-1.3.x-r7709/fluid/Fl_Widget_Type.cxx fltk-1.3.x-r7709_mod/fluid/Fl_Widget_Type.cxx
--- fltk-1.3.x-r7709/fluid/Fl_Widget_Type.cxx	2010-10-01 06:45:57.000000000 +0400
+++ fltk-1.3.x-r7709_mod/fluid/Fl_Widget_Type.cxx	2010-10-04 12:16:38.000000000 +0400
@@ -1133,7 +1133,7 @@
 {0}};
 
 void align_cb(Fl_Button* i, void *v) {
-  Fl_Align b = Fl_Align(long(i->user_data()));
+  Fl_Align b = Fl_Align(fl_long(i->user_data()));
   if (v == LOAD) {
     if (current_widget->is_menu_item()) {i->deactivate(); return;} else i->activate();
     i->value(current_widget->o->align() & b);
@@ -1181,7 +1181,7 @@
     }
   } else {
     const Fl_Menu_Item *mi = i->menu() + i->value();
-    Fl_Align b = Fl_Align(long(mi->user_data()));
+    Fl_Align b = Fl_Align(fl_long(mi->user_data()));
     int mod = 0;
     for (Fl_Type *o = Fl_Type::first; o; o = o->next) {
       if (o->selected && o->is_widget()) {
@@ -1210,7 +1210,7 @@
     }
   } else {
     const Fl_Menu_Item *mi = i->menu() + i->value();
-    Fl_Align b = Fl_Align(long(mi->user_data()));
+    Fl_Align b = Fl_Align(fl_long(mi->user_data()));
     int mod = 0;
     for (Fl_Type *o = Fl_Type::first; o; o = o->next) {
       if (o->selected && o->is_widget()) {
@@ -1302,7 +1302,7 @@
 // "v_attributes" let user type in random code for attribute settings:
 
 void v_input_cb(Fl_Input* i, void* v) {
-  int n = int(long(i->user_data()));
+  int n = int(fl_long(i->user_data()));
   if (v == LOAD) {
     i->static_value(current_widget->extra_code(n));
   } else {
diff -urN fltk-1.3.x-r7709/src/fl_ask.cxx fltk-1.3.x-r7709_mod/src/fl_ask.cxx
--- fltk-1.3.x-r7709/src/fl_ask.cxx	2010-09-27 15:29:05.000000000 +0400
+++ fltk-1.3.x-r7709_mod/src/fl_ask.cxx	2010-10-04 12:02:03.000000000 +0400
@@ -72,7 +72,7 @@
 // pointer to one of the buttons or an Fl_Window* pointer to the
 // message window (message_form).
 static void button_cb(Fl_Widget *, void *val) {
-  ret_val = (int)(long)val;
+  ret_val = (int)(fl_long)val;
   message_form->hide();
 }
 
diff -urN fltk-1.3.x-r7709/src/fl_open_uri.cxx fltk-1.3.x-r7709_mod/src/fl_open_uri.cxx
--- fltk-1.3.x-r7709/src/fl_open_uri.cxx	2010-01-01 21:30:49.000000000 +0300
+++ fltk-1.3.x-r7709_mod/src/fl_open_uri.cxx	2010-10-04 12:11:30.000000000 +0400
@@ -45,6 +45,7 @@
 #  include <unistd.h>
 #endif // WIN32
 
+#include <FL/Fl_Widget.H> // for fl_long
 
 //
 // Local functions...
@@ -124,7 +125,7 @@
 #ifdef WIN32
   if (msg) snprintf(msg, msglen, "open %s", uri);
 
-  return (int)ShellExecute(HWND_DESKTOP, "open", uri, NULL, NULL, SW_SHOW) > 32;
+  return (fl_long)ShellExecute(HWND_DESKTOP, "open", uri, NULL, NULL, SW_SHOW) > 32;
 
 #elif defined(__APPLE__)
   char	*argv[3];			// Command-line arguments
diff -urN fltk-1.3.x-r7709/test/arc.cxx fltk-1.3.x-r7709_mod/test/arc.cxx
--- fltk-1.3.x-r7709/test/arc.cxx	2009-01-01 19:35:13.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/arc.cxx	2010-10-04 12:17:54.000000000 +0400
@@ -66,7 +66,7 @@
 
 void slider_cb(Fl_Widget* o, void* v) {
   Fl_Slider* s = (Fl_Slider*)o;
-  args[long(v)] = s->value();
+  args[fl_long(v)] = s->value();
   d->redraw();
 }
 
diff -urN fltk-1.3.x-r7709/test/colbrowser.cxx fltk-1.3.x-r7709_mod/test/colbrowser.cxx
--- fltk-1.3.x-r7709/test/colbrowser.cxx	2010-01-28 02:25:00.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/colbrowser.cxx	2010-10-04 12:20:54.000000000 +0400
@@ -99,7 +99,7 @@
 }
 
 static void
-br_cb(Fl_Widget *ob, long)
+br_cb(Fl_Widget *ob, fl_long)
 {
     int r = ((Fl_Browser *)ob)->value();
 
@@ -226,7 +226,7 @@
 }
 
 static void
-search_rgb(Fl_Widget *, long)
+search_rgb(Fl_Widget *, fl_long)
 {
     int r, g, b, i;
     int top  = colbr->topline();
@@ -248,7 +248,7 @@
 
 /* change database */
 static void
-db_cb(Fl_Widget * ob, long)
+db_cb(Fl_Widget * ob, fl_long)
 {
     const char *p = fl_input("Enter New Database Name", dbname);
     char buf[512];
@@ -264,7 +264,7 @@
 }
 
 static void
-done_cb(Fl_Widget *, long)
+done_cb(Fl_Widget *, fl_long)
 {
     exit(0);
 }
diff -urN fltk-1.3.x-r7709/test/cursor.cxx fltk-1.3.x-r7709_mod/test/cursor.cxx
--- fltk-1.3.x-r7709/test/cursor.cxx	2009-04-21 13:09:37.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/cursor.cxx	2010-10-04 12:21:24.000000000 +0400
@@ -39,7 +39,7 @@
 Fl_Hor_Value_Slider *cursor_slider;
 
 void choice_cb(Fl_Widget *, void *v) {
-  cursor = (Fl_Cursor)(long)v;
+  cursor = (Fl_Cursor)(fl_long)v;
   cursor_slider->value(cursor);
   fl_cursor(cursor,fg,bg);
 }
diff -urN fltk-1.3.x-r7709/test/curve.cxx fltk-1.3.x-r7709_mod/test/curve.cxx
--- fltk-1.3.x-r7709/test/curve.cxx	2009-01-01 19:35:13.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/curve.cxx	2010-10-04 12:22:25.000000000 +0400
@@ -83,7 +83,7 @@
 
 void slider_cb(Fl_Widget* o, void* v) {
   Fl_Slider* s = (Fl_Slider*)o;
-  args[long(v)] = s->value();
+  args[fl_long(v)] = s->value();
   d->redraw();
 }
 
diff -urN fltk-1.3.x-r7709/test/demo.cxx fltk-1.3.x-r7709_mod/test/demo.cxx
--- fltk-1.3.x-r7709/test/demo.cxx	2010-07-10 13:44:45.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/demo.cxx	2010-10-04 12:23:26.000000000 +0400
@@ -150,7 +150,7 @@
 
 void doexit(Fl_Widget *, void *);
 void doback(Fl_Widget *, void *);
-void dobut(Fl_Widget *, long);
+void dobut(Fl_Widget *, fl_long);
 void doscheme(Fl_Choice *c, void *) {
   Fl::scheme(c->text(c->value()));
 }
@@ -312,7 +312,7 @@
 
 /* The callback Routines */
 
-void dobut(Fl_Widget *, long arg)
+void dobut(Fl_Widget *, fl_long arg)
 /* handles a button push */
 {
   int men = find_menu(stack[stsize-1]);
diff -urN fltk-1.3.x-r7709/test/doublebuffer.cxx fltk-1.3.x-r7709_mod/test/doublebuffer.cxx
--- fltk-1.3.x-r7709/test/doublebuffer.cxx	2009-01-01 19:35:13.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/doublebuffer.cxx	2010-10-04 12:23:44.000000000 +0400
@@ -63,7 +63,7 @@
 
 int sides[2] = {20,20};
 
-void slider_cb(Fl_Widget* o, long v) {
+void slider_cb(Fl_Widget* o, fl_long v) {
   sides[v] = int(((Fl_Slider*)o)->value());
   o->parent()->redraw();
 }
diff -urN fltk-1.3.x-r7709/test/fonts.cxx fltk-1.3.x-r7709_mod/test/fonts.cxx
--- fltk-1.3.x-r7709/test/fonts.cxx	2009-01-01 19:35:13.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/fonts.cxx	2010-10-04 12:25:18.000000000 +0400
@@ -58,7 +58,7 @@
 int *numsizes;
 int pickedsize = 14;
 
-void font_cb(Fl_Widget *, long) {
+void font_cb(Fl_Widget *, fl_long) {
   int fn = fontobj->value();
   if (!fn) return;
   fn--;
@@ -92,7 +92,7 @@
   textobj->redraw();
 }
 
-void size_cb(Fl_Widget *, long) {
+void size_cb(Fl_Widget *, fl_long) {
   int i = sizeobj->value();
   if (!i) return;
   const char *c = sizeobj->text(i);
diff -urN fltk-1.3.x-r7709/test/forms.cxx fltk-1.3.x-r7709_mod/test/forms.cxx
--- fltk-1.3.x-r7709/test/forms.cxx	2009-09-18 00:00:33.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/forms.cxx	2010-10-04 12:25:49.000000000 +0400
@@ -79,7 +79,7 @@
 Fl_Widget *tobj[18], *exitob, *btypeob, *modeob;
 
 void 
-boxtype_cb (Fl_Widget * ob, long)
+boxtype_cb (Fl_Widget * ob, fl_long)
 {
   int i, req_bt = fl_get_choice(ob) - 1;
   static int lastbt = -1;
@@ -97,7 +97,7 @@
 }
 
 void 
-mode_cb (Fl_Widget *, long)
+mode_cb (Fl_Widget *, fl_long)
 {
 //   static int lval = -1;
 //   int val = fl_get_choice (ob) -1;
diff -urN fltk-1.3.x-r7709/test/fractals.cxx fltk-1.3.x-r7709_mod/test/fractals.cxx
--- fltk-1.3.x-r7709/test/fractals.cxx	2009-01-01 19:35:13.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/fractals.cxx	2010-10-04 12:38:05.000000000 +0400
@@ -768,11 +768,11 @@
 /***************************************************************/
 
 // FLTK-style callbacks to Glut menu callback translators:
-void setlevel(Fl_Widget*, void *value) {setlevel(long(value));}
+void setlevel(Fl_Widget*, void *value) {setlevel(fl_long(value));}
 
-void choosefract(Fl_Widget*, void *value) {choosefract(long(value));}
+void choosefract(Fl_Widget*, void *value) {choosefract(fl_long(value));}
 
-void handlemenu(Fl_Widget*, void *value) {handlemenu(long(value));}
+void handlemenu(Fl_Widget*, void *value) {handlemenu(fl_long(value));}
 
 #include <FL/Fl_Button.H>
 #include <FL/Fl_Group.H>
diff -urN fltk-1.3.x-r7709/test/input.cxx fltk-1.3.x-r7709_mod/test/input.cxx
--- fltk-1.3.x-r7709/test/input.cxx	2009-04-23 19:32:19.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/input.cxx	2010-10-04 12:26:30.000000000 +0400
@@ -44,7 +44,7 @@
 int when = 0;
 Fl_Input *input[5];
 
-void toggle_cb(Fl_Widget *o, long v) {
+void toggle_cb(Fl_Widget *o, fl_long v) {
   if (((Fl_Toggle_Button*)o)->value()) when |= v; else when &= ~v;
   for (int i=0; i<5; i++) input[i]->when(when);
 }
@@ -65,7 +65,7 @@
 
 void color_cb(Fl_Widget* button, void* v) {
   Fl_Color c;
-  switch ((long)v) {
+  switch ((fl_long)v) {
   case 0: c = FL_BACKGROUND2_COLOR; break;
   case 1: c = FL_SELECTION_COLOR; break;
   default: c = FL_FOREGROUND_COLOR; break;
diff -urN fltk-1.3.x-r7709/test/keyboard.cxx fltk-1.3.x-r7709_mod/test/keyboard.cxx
--- fltk-1.3.x-r7709/test/keyboard.cxx	2009-04-21 13:09:37.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/keyboard.cxx	2010-10-04 12:30:24.000000000 +0400
@@ -109,14 +109,14 @@
     for (int i = 0; i < window->children(); i++) {
       Fl_Widget* b = window->child(i);
       if (b->callback() == (Fl_Callback*)key_cb) {
-	int i = (long)b->user_data();
+	int i = (fl_long)b->user_data();
 	if (!i) i = b->label()[0];
         Fl_Button *btn = ((Fl_Button*)b);
         int state = Fl::event_key(i);
         if (btn->value()!=state)
 	  btn->value(state);
       } else if (b->callback() == (Fl_Callback*)shift_cb) {
-	int i = (long)b->user_data();
+	int i = (fl_long)b->user_data();
         Fl_Button *btn = ((Fl_Button*)b);
         int state = Fl::event_state(i);
         if (btn->value()!=state)
diff -urN fltk-1.3.x-r7709/test/line_style.cxx fltk-1.3.x-r7709_mod/test/line_style.cxx
--- fltk-1.3.x-r7709/test/line_style.cxx	2009-04-21 13:09:37.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/line_style.cxx	2010-10-04 12:32:26.000000000 +0400
@@ -57,9 +57,9 @@
   buf[3] = char(sliders[7]->value());
   buf[4] = 0;
   fl_line_style(
-    (long)(choice[0]->mvalue()->user_data()) +
-    (long)(choice[1]->mvalue()->user_data()) +
-    (long)(choice[2]->mvalue()->user_data()),
+    choice[0]->mvalue()->argument() +
+    choice[1]->mvalue()->argument() +
+    choice[2]->mvalue()->argument(),
     (long)(sliders[3]->value()),
     buf);
   
diff -urN fltk-1.3.x-r7709/test/Makefile fltk-1.3.x-r7709_mod/test/Makefile
--- fltk-1.3.x-r7709/test/Makefile	2010-03-14 21:07:24.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/Makefile	2010-10-04 12:35:14.000000000 +0400
@@ -435,7 +435,7 @@
 
 sudoku.exe: sudoku.o sudoku.rc
 	echo Linking $@...
-	windres sudoku.rc sudokures.o
+	x86_64-w64-mingw32-windres sudoku.rc sudokures.o
 	$(CXX) $(ARCHFLAGS) $(LDFLAGS) sudoku.o sudokures.o -o $@ $(AUDIOLIBS) $(LINKFLTKIMG) $(LDLIBS)
 
 symbols$(EXEEXT): symbols.o
diff -urN fltk-1.3.x-r7709/test/resizebox.cxx fltk-1.3.x-r7709_mod/test/resizebox.cxx
--- fltk-1.3.x-r7709/test/resizebox.cxx	2009-04-21 13:09:37.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/resizebox.cxx	2010-10-04 12:32:50.000000000 +0400
@@ -41,7 +41,7 @@
 
 int big = 0;
 
-void b_cb(Fl_Widget *,long w) {
+void b_cb(Fl_Widget *,fl_long w) {
   if (window->w() != W3 || window->h() != W3) {
     fl_message("Put window back to minimum size before changing");
     return;
diff -urN fltk-1.3.x-r7709/test/scroll.cxx fltk-1.3.x-r7709_mod/test/scroll.cxx
--- fltk-1.3.x-r7709/test/scroll.cxx	2009-01-01 19:35:13.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/scroll.cxx	2010-10-04 12:33:33.000000000 +0400
@@ -71,7 +71,7 @@
 }
 
 void type_cb(Fl_Widget*, void* v) {
-  thescroll->type((uchar)((long)v));
+  thescroll->type((uchar)((fl_long)v));
   thescroll->redraw();
 }
 
@@ -87,7 +87,7 @@
 };
 
 void align_cb(Fl_Widget*, void* v) {
-  thescroll->scrollbar.align((uchar)((long)v));
+  thescroll->scrollbar.align((uchar)((fl_long)v));
   thescroll->redraw();
 }
 
diff -urN fltk-1.3.x-r7709/test/table.cxx fltk-1.3.x-r7709_mod/test/table.cxx
--- fltk-1.3.x-r7709/test/table.cxx	2010-01-23 16:48:50.000000000 +0300
+++ fltk-1.3.x-r7709_mod/test/table.cxx	2010-10-04 12:35:53.000000000 +0400
@@ -273,19 +273,19 @@
 
 void tablebox_choice_cb(Fl_Widget *w, void *data)
 {
-    G_table->table_box((Fl_Boxtype)(long)data);
+    G_table->table_box((Fl_Boxtype)(fl_long)data);
     G_table->redraw();
 }
 
 void widgetbox_choice_cb(Fl_Widget *w, void *data)
 {
-    G_table->box((Fl_Boxtype)(long)data);
+    G_table->box((Fl_Boxtype)(fl_long)data);
     G_table->resize(G_table->x(), G_table->y(), G_table->w(), G_table->h());
 }
 
 void type_choice_cb(Fl_Widget *w, void *data)
 {
-    G_table->type((Fl_Table_Row::TableRowSelectMode)(long)data);
+    G_table->type((Fl_Table_Row::TableRowSelectMode)(fl_long)data);
 }
 
 Fl_Menu_Item tablebox_choices[] = {
diff -urN fltk-1.3.x-r7709/test/utf8.cxx fltk-1.3.x-r7709_mod/test/utf8.cxx
--- fltk-1.3.x-r7709/test/utf8.cxx	2010-04-28 07:15:47.000000000 +0400
+++ fltk-1.3.x-r7709_mod/test/utf8.cxx	2010-10-04 12:37:15.000000000 +0400
@@ -128,7 +128,7 @@
 static FontDisplay *textobj;
 
 /********************************************************************************************/
-static void size_cb(Fl_Widget *, long)
+static void size_cb(Fl_Widget *, fl_long)
 {
 	int size_idx = sizeobj->value();
 
@@ -144,7 +144,7 @@
 	textobj->redraw();
 }
 /********************************************************************************************/
-static void font_cb(Fl_Widget *, long)
+static void font_cb(Fl_Widget *, fl_long)
 {
 	int font_idx = fontobj->value() + first_free;
 
@@ -211,7 +211,7 @@
 }
 
 /********************************************************************************************/
-static void choose_cb(Fl_Widget *, long)
+static void choose_cb(Fl_Widget *, fl_long)
 {
 	int font_idx = fontobj->value() + first_free;
 	if (!font_idx)
@@ -248,7 +248,7 @@
 	main_win->redraw();
 }
 /********************************************************************************************/
-static void refresh_cb(Fl_Widget *, long)
+static void refresh_cb(Fl_Widget *, fl_long)
 {
 	main_win->redraw();
 }
